%global rbname slang
Summary: S-Lang extention for Ruby
Name: ruby-%{rbname}

%define momorel 5

Version: 0.52
Release: %{momorel}m
Group: Applications/Text
License: GPL

Source0: http://www.momonga-linux.org/~poo/slanglib.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.0
BuildRequires: slang-devel >= 1.2.2

%description
Ruby-SLang is an extention modules for Ruby in order to let the ruby to be able
to use S-Lang with Ruby script. so cool.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n slanglib

%build
ruby extconf.rb
make %{?_smp_mflags} sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README.euc MANIFEST changes.txt *.rb
%{ruby_libdir}/slang.rb
%{ruby_archdir}/slanglib.so

%changelog
* Fri Aug 22 2003 HOSONO Hidetomo <h12o@h12o.org>
- (0.52-5m)
- fix %%defattr a little

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.52-4m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.52-3m)
- rebuild against ruby-1.8.0.

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.52-2m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags} 

* Sat Jul 13 2002 Kikutani Makoto <poo@momonga-linux.org>
- (0.52-1m)
- tom-san's patch for Alpha 
- fixed buffer overflow

* Sat Jun  1 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.51-10k)
- BuildPreReq: slang-devel.

* Mon Apr  9 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- for ppc

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.
- slanglib 0.51.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Fri Sep 8 2000 Toru Hoshina <t@kondara.org>
- version up to 0.50 snapshot.

* Wed Jul 19 2000 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.41 snapshot.

* Thu May 11 2000 Kikutani Makoto <g@kondara.org>
- highlight by regexp in pager class. no longer require slang-ja

* Thu Feb  3 2000 Toru Hoshina <t@kondara.org>
- fix on alpha (maybe on SPARC and intel :-P)

* Thu Jan 13 2000 Takaaki Tabuchi <tab@kondara.org>
- add ifarch sparc.

* Sat Dec 18 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.33 snapshot.

* Sun Dec 12 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.32 snapshot.

* Thu Dec  9 1999 Tenkou N. Hattori <tnh@kondara.org>
- version up to 0.30 snapshot.

* Sun Nov  7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Oct 11 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.30 snapshot.

* Sun Oct  9 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.26 snapshot.

* Sun Sep 19 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.25 snapshot.

* Mon Sep  6 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.24 snapshot.

* Mon Aug 30 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.23 snapshot.

* Sat Aug 28 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.22 snapshot.

* Sat Aug 14 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to ruby 1.4.

* Tue Aug 12 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.21 snapshot.

* Wed Aug 11 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.21.

* Tue Aug 10 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- version up to 0.20.

* Wed May 19 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.18.

* Tue Apr 20 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.15.

* Tue Apr 06 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.14.

* Wed Feb 24 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.11.

* Thu Feb 18 1999 Toru Hoshina <hoshina@best.com>
- version up to 0.10.

* Fri Feb  5 1999 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs and ruby 1.2.2

* Sat Nov 21 1998 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs.

* Fri Oct  9 1998 Toru Hoshina <hoshina@best.com>
- 1st release.
